#!/bin/bash
set -e

# input file: corsika.020940.000000.i3.zst
# config file: GeoCalibDetectorStatus_AVG_55697-57531_PASS2_SPE_withStdNoise.i3.gz

/usr/local/icetray/simprod_scripts/resources/scripts/clsim.py \
--gcdfile /mnt/GeoCalibDetectorStatus_AVG_55697-57531_PASS2_SPE_withStdNoise.i3.gz \
--inputfilelist /mnt/corsika.020940.000000.i3.zst \
--outputfile /mnt/signalhits.i3.zst --oversize 1 --efficiency 1 \
--UseGPUs --nproc 100000 --procnum 0 --seed 20904 --IceModel spice_3.2 \
--IceModelLocation /usr/local/icetray/ice-models/resources/models \
--holeiceparametrization /usr/local/icetray/ice-models/resources/models/angsens_flasher/as.9

/usr/local/icetray/simprod_scripts/resources/scripts/polyplopia.py \
--gcdfile /mnt/GeoCalibDetectorStatus_AVG_55697-57531_PASS2_SPE_withStdNoise.i3.gz \
--inputfile /mnt/signalhits.i3.zst \
--outputfile /mnt/hits.020940.000000.i3.zst --oversize 1 --efficiency 1 \
--nproc 100000 --procnum 0 --seed 20904 --IceModel spice_3.2 \
--IceModelLocation /usr/local/icetray/ice-models/resources/models \
--holeiceparametrization /usr/local/icetray/ice-models/resources/models/angsens_flasher/as.9 \
--backgroundrate 5261.85

# output file: hits.020940.000000.i3.zst
